import { OnInit } from '@angular/core';
import { FormGroup, AbstractControl, ControlContainer, FormGroupDirective } from '@angular/forms';
import { ErrorMassageValidation } from '../../Shared/services/validationErrorMassage.service';
import { TextBoxOptions } from '../../Shared/Models/TextBoxOptions';
import { ControlUtility } from '../../Shared/services/ControlUtility';
export declare class TextboxComponent implements OnInit {
    private ErrorHandler;
    private controlUtility;
    private controlContainer;
    TextControlHost: FormGroupDirective;
    static controlContainerstatic: any;
    constructor(ErrorHandler: ErrorMassageValidation, controlUtility: ControlUtility, controlContainer: ControlContainer, TextControlHost: FormGroupDirective);
    group: FormGroup;
    options: TextBoxOptions;
    TextBoxFormControl: AbstractControl;
    MaskPattern: string;
    WordCount: number;
    WordCountArray: number;
    EmailValidationKey: string;
    PasswordComplexityHasNumber: string;
    PasswordComplexityHasCapitalLetter: string;
    PasswordComplexityHasSmallLetter: string;
    PasswordComplexityHasSpecialLetter: string;
    MaxWordCountValidationKey: string;
    static showErrorOfInputs(errors: any): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    resetError: () => void;
    getErrorValidation(ErrorList: any[]): string;
    getInputType(type: number): string;
    trimControlValue(): void;
    copyInputMassage(inputElement: any): void;
    getCustomErrorsMassages(): void;
    onTextChange(): void;
}
